Module java.desktop
Package java.awt

## Class Component.AccessibleAWTComponent.AccessibleAWTFocusHandler

- java.lang.Object
- - java.awt.Component.AccessibleAWTComponent.AccessibleAWTFocusHandler

All Implemented Interfaces:
  `FocusListener`, `Serializable`, `EventListener`

Enclosing class:
  Component.AccessibleAWTComponent

    protected class Component.AccessibleAWTComponent.AccessibleAWTFocusHandler
    extends Object
    implements FocusListener, Serializable

Fire PropertyChange listener, if one is registered, when focus events happen

Since:
  1.3
See Also:
  Serialized Form

### Constructor Summary

Constructors
`protected` `AccessibleAWTFocusHandler()`

### Method Summary

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods declared in interface java.awt.event.FocusListener

`focusGained, focusLost`

### Constructor Detail

#### AccessibleAWTFocusHandler

    protected AccessibleAWTFocusHandler()